/* $Id: unigfx.h,v 1.2 2001/04/21 12:04:31 malekith Exp $ */

#ifndef YW_UNIGFX_H
#define YW_UNIGFX_H

#define YW_UNIGFX_BOX_H		0x2500	/* LIGHT HORIZONTAL */
#define YW_UNIGFX_BOX_V 	0x2502	/* LIGHT VERTICAL */
#define YW_UNIGFX_BOX_D_R 	0x250C	/* LIGHT DOWN AND RIGHT */
#define YW_UNIGFX_BOX_D_L 	0x2510	/* LIGHT DOWN AND LEFT */
#define YW_UNIGFX_BOX_U_R 	0x2514	/* LIGHT UP AND RIGHT */
#define YW_UNIGFX_BOX_U_L 	0x2518	/* LIGHT UP AND LEFT */
#define YW_UNIGFX_BOX_V_R 	0x251C	/* LIGHT VERTICAL AND RIGHT */
#define YW_UNIGFX_BOX_V_L 	0x2524	/* LIGHT VERTICAL AND LEFT */
#define YW_UNIGFX_BOX_D_H 	0x252C	/* LIGHT DOWN AND HORIZONTAL */
#define YW_UNIGFX_BOX_U_H 	0x2534	/* LIGHT UP AND HORIZONTAL */
#define YW_UNIGFX_BOX_V_H	0x253C	/* LIGHT VERTICAL AND HORIZONTAL */

#define YW_UNIGFX_BOX_DH	0x2550	/* DOUBLE HORIZONTAL */
#define YW_UNIGFX_BOX_DV	0x2551	/* DOUBLE VERTICAL */
#define YW_UNIGFX_BOX_D_DR	0x2552	/* DOWN SINGLE AND RIGHT DOUBLE */
#define YW_UNIGFX_BOX_DD_R	0x2553	/* DOWN DOUBLE AND RIGHT SINGLE */
#define YW_UNIGFX_BOX_DD_DR	0x2554	/* DOUBLE DOWN AND RIGHT */
#define YW_UNIGFX_BOX_D_DL	0x2555	/* DOWN SINGLE AND LEFT DOUBLE */
#define YW_UNIGFX_BOX_DD_L	0x2556	/* DOWN DOUBLE AND LEFT SINGLE */
#define YW_UNIGFX_BOX_DD_DL	0x2557	/* DOUBLE DOWN AND LEFT */
#define YW_UNIGFX_BOX_U_DR	0x2558	/* UP SINGLE AND RIGHT DOUBLE */
#define YW_UNIGFX_BOX_DU_R	0x2559	/* UP DOUBLE AND RIGHT SINGLE */
#define YW_UNIGFX_BOX_DU_DR	0x255A	/* DOUBLE UP AND RIGHT */
#define YW_UNIGFX_BOX_U_DL	0x255B	/* UP SINGLE AND LEFT DOUBLE */
#define YW_UNIGFX_BOX_DU_L	0x255C	/* UP DOUBLE AND LEFT SINGLE */
#define YW_UNIGFX_BOX_DU_DL	0x255D	/* DOUBLE UP AND LEFT */
#define YW_UNIGFX_BOX_V_DR	0x255E	/* VERTICAL SINGLE AND RIGHT DOUBLE */
#define YW_UNIGFX_BOX_DV_R	0x255F	/* VERTICAL DOUBLE AND RIGHT SINGLE */
#define YW_UNIGFX_BOX_DV_DR	0x2560	/* DOUBLE VERTICAL AND RIGHT */
#define YW_UNIGFX_BOX_V_DL	0x2561	/* VERTICAL SINGLE AND LEFT DOUBLE */
#define YW_UNIGFX_BOX_DV_L	0x2562	/* VERTICAL DOUBLE AND LEFT SINGLE */
#define YW_UNIGFX_BOX_DV_DL	0x2563	/* DOUBLE VERTICAL AND LEFT */
#define YW_UNIGFX_BOX_D_DH	0x2564	/* DOWN SINGLE AND HORIZONTAL DOUBLE */
#define YW_UNIGFX_BOX_DD_H	0x2565	/* DOWN DOUBLE AND HORIZONTAL SINGLE */
#define YW_UNIGFX_BOX_DD_DH	0x2566	/* DOUBLE DOWN AND HORIZONTAL */
#define YW_UNIGFX_BOX_U_DH	0x2567	/* UP SINGLE AND HORIZONTAL DOUBLE */
#define YW_UNIGFX_BOX_DU_H	0x2568	/* UP DOUBLE AND HORIZONTAL SINGLE */
#define YW_UNIGFX_BOX_DU_DH	0x2569	/* DOUBLE UP AND HORIZONTAL */
#define YW_UNIGFX_BOX_V_DH	0x256A	/* VERTICAL SINGLE AND HORIZONTAL DOUBLE */
#define YW_UNIGFX_BOX_DV_H	0x256B	/* VERTICAL DOUBLE AND HORIZONTAL SINGLE */
#define YW_UNIGFX_BOX_DV_DH	0x256C	/* DOUBLE VERTICAL AND HORIZONTAL */

#define YW_UNIGFX_BLOCK_MIDDLE	0x25AA	/* BLACK SMALL SQUARE */
#define YW_UNIGFX_BLOCK_UP	0x2580	/* UPPER HALF BLOCK */
#define YW_UNIGFX_BLOCK_DOWN	0x2584	/* LOWER HALF BLOCK */
#define YW_UNIGFX_BLOCK		0x2588  /* FULL BLOCK */

#define YW_UNIGFX_FILL_0	0x0020	/* ' ' */
#define YW_UNIGFX_FILL_1	0x2591	/* LIGHT SHADE */
#define YW_UNIGFX_FILL_3	0x2592	/* MEDIUM SHADE */
#define YW_UNIGFX_FILL_4	0x2593	/* DARK SHADE */
#define YW_UNIGFX_FILL_5	0x2588  /* FULL BLOCK */

#define YW_UNIGFX_ARROW_LEFT	0x2190	/* LEFTWARDS ARROW */
#define YW_UNIGFX_ARROW_UP	0x2191	/* UPWARDS ARROW */
#define YW_UNIGFX_ARROW_RIGHT	0x2192	/* RIGHTWARDS ARROW */
#define YW_UNIGFX_ARROW_DOWN	0x2193	/* DOWNWARDS ARROW */

#define YW_UNIGFX_ARROW_UP_B	0x25B4	/* BLACK UP-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_UP_W	0x25B5	/* WHITE UP-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_RIGHT_B	0x25B8	/* BLACK RIGHT-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_RIGHT_W	0x25B9	/* WHITE RIGHT-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_DOWN_B	0x25BE	/* BLACK DOWN-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_DOWN_W	0x25BF	/* WHITE DOWN-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_LEFT_B	0x25C2	/* BLACK LEFT-POINTING SMALL TRIANGLE */
#define YW_UNIGFX_ARROW_LEFT_W	0x25C3	/* WHITE LEFT-POINTING SMALL TRIANGLE */

#define YW_UNIGFX_DIAMOND	0x25C6	/* BLACK DIAMOND */
#define YW_UNIGFX_DIAMOND_E	0x25C7	/* WHITE DIAMOND */

#define YW_UNIGFX_BULLET	0x00B7	/* MIDDLE DOT */

#endif /* YW_UNIGFX_H */
